Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.operations
Interface IInstallFeatureOperation

All Superinterfaces:
  IFeatureOperation, IOperation

public interface IInstallFeatureOperation
extends IFeatureOperation

An installation operation. This operation should not be executed by itself, it should be aggregated into a IBatchOperation, together with other IInstallOperations, so that the validation checks are done on the group, not per installation job.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`IFeatureReference[]` | `getOptionalFeatures()` If the feature includes optional features, thi method returns the list of optional features to be installed.

Methods inherited from interface org.eclipse.update.operations.IFeatureOperation
`getFeature, getOldFeature, getTargetSite, setTargetSite`

Methods inherited from interface org.eclipse.update.operations.IOperation
`execute, isProcessed, markProcessed`

Method Detail

### getOptionalFeatures

    public IFeatureReference[] getOptionalFeatures()

  If the feature includes optional features, thi method returns the list of optional features to be installed.

  Returns:
    the list of optional features to be installed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.